aboutsummaryrefslogtreecommitdiff
path: root/provisioner/vagrant/config_hosts
diff options
context:
space:
mode:
Diffstat (limited to 'provisioner/vagrant/config_hosts')
-rwxr-xr-xprovisioner/vagrant/config_hosts45
1 files changed, 45 insertions, 0 deletions
diff --git a/provisioner/vagrant/config_hosts b/provisioner/vagrant/config_hosts
new file mode 100755
index 00000000..07e1d5ff
--- /dev/null
+++ b/provisioner/vagrant/config_hosts
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+# Hosts reconfiguration script
+# chkconfig: 345 70 1
+# description: config_hosts
+
+# Licensed to Hortonworks, Inc. under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. Hortonworks, Inc. licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+NAME="config_hosts"
+LOG="/var/log/config_hosts.log"
+
+source /etc/rc.d/init.d/functions
+
+case "$1" in
+start)
+ printf "%-50s\n" "Starting $NAME..." | tee -a $LOG
+ printf "%-50s\n" "Updating IP..." | tee -a $LOG
+ bash /usr/bin/gen_hosts.sh
+;;
+
+stop)
+ date >> $LOG
+;;
+
+restart)
+;;
+
+*)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac